/* 
Theme Name: GOsome 
Theme URI: https://gosome.fi
Description: GOsomen lapsiteema Elementorin Hello teemalle.
Author: GOsome
Author URI: https://gosome.fi
Template: hello-elementor
Version: 3.0.2
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/* Template defaults and globals */

@media all and (min-width: 1921px) {
  body {
    max-width: 1240px;
    margin: 0 auto;
  }
}

body {
  word-break: break-word;
}

a {
  color: inherit;
}

.elementor-counter-title {
  flex-wrap: wrap;
}

ul {
  padding-left: 20px;
}

.woocommerce table td,
.woocommerce table th,
.woocommerce table.shop_table,
.woocommerce table caption + thead tr:first-child td,
.woocommerce table caption + thead tr:first-child th,
.woocommerce table colgroup + thead tr:first-child td,
.woocommerce table colgroup + thead tr:first-child th,
.woocommerce table thead:first-child tr:first-child td,
.woocommerce table thead:first-child tr:first-child th,
.woocommerce table.shop_table tbody th,
.woocommerce table.shop_table tfoot td,
.woocommerce table.shop_table tfoot th {
  font-family: "Montserrat", sans-serif;
}

.woocommerce-checkout .flatpickr-day.flatpickr-disabled,
.woocommerce-checkout .flatpickr-day.nextMonthDay.flatpickr-disabled,
.woocommerce-checkout .flatpickr-day,
.woocommerce-checkout .flatpickr-day.nextMonthDay {
  color: var(--e-global-color-text) !important;
}

.woocommerce-checkout .woocommerce-notices-wrapper {
  display: none !important;
}

.woocommerce .quantity .qty {
  font-size: 0.9em;
  width: 6em;
}

.wc-proceed-to-checkout a.button.alt.checkout-button {
	color: #fff !important;
}

.wc-proceed-to-checkout a.button.alt.checkout-button:hover {
    color: #000 !important;
}

.woocommerce-message,
.woocommerce-info,
.woocommerce-error {
  border-top-color: var(--e-global-color-accent);
  background-color: #fcf6ea;
  color: var(--e-global-color-primary);
  border-radius: 3px;
}

.woocommerce-message a,
.woocommerce-info a,
.woocommerce-error a,
.checkout_coupon button,
.woocommerce .button {
  background: var(--e-global-color-accent) !important;
  border-radius: 16px !important;
  padding: 15px 20px 15px 20px !important;
  display: inline-block;
  text-decoration: none;
  margin: 10px 20px;
  font-weight: 600;
}

a.added_to_cart.wc-forward {
    display: none !important;
}

.woocommerce-message a:hover,
.woocommerce-info a:hover,
.woocommerce-error a:hover,
.checkout_coupon button:hover,
.woocommerce .button:hover {
  background: var(--e-global-color-f22a682) !important;
  transition: 0.3s ease-in-out;
}

a.added_to_cart {
    padding-top: 20px !important;
}

.elementor-slideshow__title {
  display: none;
}

.elementor-lightbox .dialog-lightbox-close-button {
  text-decoration: none;
}

@media all and (min-width: 1025px) and (max-width: 1200px) {
  .woocommerce .elementor-widget-wc-add-to-cart .elementor-button {
    font-size: 14px;
  }
}

@media all and (max-width: 768px) {
  .woocommerce .elementor-widget-wc-add-to-cart .qty {
    font-size: 14px;
  }

  .woocommerce .elementor-widget-wc-add-to-cart .elementor-button {
    font-size: 14px;
    padding: 20px !important;
    white-space: normal;
  }

  .woocommerce .elementor-widget-wc-add-to-cart .elementor-button-icon {
    margin-left: 20px !important;
  }
	
 .woocommerce-message a,
 .woocommerce-info a,
 .woocommerce-error a,
 .checkout_coupon button {
	font-size: 14px !important;		
 }
}

/* Tietosuojaseloste */

#gs-tietosuojaseloste h4 {
  margin-top: 40px;
}

/* Helpers */

.gs-zero-last-p p:last-child {
  margin-bottom: 0;
}

.gs-zero-p-space-20 p {
  margin-bottom: 20px;
}

.gs-zero-p-space-10 p {
  margin-bottom: 10px;
}

.gs-text-highlight-yellow {
  background: var(--e-global-color-accent);
  padding: 10px;
  border-radius: 9px;
}

.gs-full-width-text {
  display: block;
  width: 100%;
}

.gs-no-link-styles a {
  font-weight: inherit;
  text-decoration: inherit;
}

.gs-hide {
	display: none;
}

.gs-text-bottom-fade p{
	position:relative;
}

.gs-text-bottom-fade p:last-of-type:after {
    content: "";
    position: absolute;
    height: 60px;
    bottom: 0;
    right: 0;
    width: 100%;
    background: linear-gradient(to top, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0));
    opacity: 0.9;
}

/* WooCommerce */

.quantity .qty {
  border-radius: 16px;
  border: 1px solid var(--e-global-color-1228495);
  text-align: center;
  color: var(--e-global-color-text);
  font-size: 18px;
  font-weight: 600;
}

.price {
  margin-bottom: 0 !important;
}

.woocommerce div.product p.price ins,
.woocommerce div.product span.price ins {
  text-decoration: none;
  margin-left: 10px;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  #respond
  input#submit.alt.disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  #respond
  input#submit.alt.disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  #respond
  input#submit.alt:disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  #respond
  input#submit.alt:disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  #respond
  input#submit.alt:disabled[disabled],
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  #respond
  input#submit.alt:disabled[disabled]:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  a.button.alt.disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  a.button.alt.disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  a.button.alt:disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  a.button.alt:disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  a.button.alt:disabled[disabled],
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  a.button.alt:disabled[disabled]:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  button.button.alt.disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  button.button.alt.disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  button.button.alt:disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  button.button.alt:disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  button.button.alt:disabled[disabled],
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  button.button.alt:disabled[disabled]:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  input.button.alt.disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  input.button.alt.disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  input.button.alt:disabled,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  input.button.alt:disabled:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  input.button.alt:disabled[disabled],
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  input.button.alt:disabled[disabled]:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  #respond
  input#submit.alt.disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  #respond
  input#submit.alt.disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  #respond
  input#submit.alt:disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  #respond
  input#submit.alt:disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  #respond
  input#submit.alt:disabled[disabled],
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  #respond
  input#submit.alt:disabled[disabled]:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  a.button.alt.disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  a.button.alt.disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  a.button.alt:disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  a.button.alt:disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  a.button.alt:disabled[disabled],
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  a.button.alt:disabled[disabled]:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  button.button.alt.disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  button.button.alt.disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  button.button.alt:disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  button.button.alt:disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  button.button.alt:disabled[disabled],
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  button.button.alt:disabled[disabled]:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  input.button.alt.disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  input.button.alt.disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  input.button.alt:disabled,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  input.button.alt:disabled:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  input.button.alt:disabled[disabled],
:where(body:not(.woocommerce-block-theme-has-button-styles))
  .woocommerce
  input.button.alt:disabled[disabled]:hover {
  color: inherit;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt {
	color: inherit !important;
}

.woocommerce div.product form.cart .variations td, 
.woocommerce div.product form.cart .variations th {
	text-align: left;
}

.e-loop-add-to-cart-form-container .quantity {
	display: none;
} 

.elementor-add-to-cart--layout-stacked .e-loop-add-to-cart-form-container .button {
	width: 100%;
}

.woocommerce-loop-product__buttons .add_to_cart_button {
	text-align: center;
	width: 100%;
}

@media all and (max-width: 768px) {
  .woocommerce-message a {
    width: 100%;
    margin-bottom: 20px !important;
    text-align: center;
  }
}

/* Header */

.gs-strawberry-btn svg {
  width: 25px;
}

.gs-strawberry-btn .elementor-button-text,
.gs-strawberry-btn .elementor-button-icon {
  display: flex;
  align-items: center;
}

@media all and (max-width: 1024px) {
  .gs-strawberry-btn {
    position: fixed;
    right: 20px;
    z-index: 999;
    bottom: 20px;
  }

  .gs-header-col-3 {
    position: fixed;
    z-index: 999;
  }
}

/* Etusivu */

.gs-boosted-product .product a {
  display: flex !important;
}

.gs-boosted-product .product a img {
  width: 50% !important;
}

/*
.gs-boosted-product .elementor-widget-theme-post-featured-image::before {
  content: "Saatavilla pian";
  position: absolute;
  background: #fff;
  margin: 30px;
  padding: 10px 30px;
  border-radius: 17px;
  color: #23b75f;
  font-size: 16px;
  font-weight: 600;
  text-align: center;
}
*/

.gs-frontpage-product-boost-img a {
  height: 100%;
}

.gs-product-slider-item .elementor-button-wrapper a {
  width: 100%;
}

.gs-product-slider-item .product_title a {
  text-decoration: none;
  font-weight: 700;
}

.gs-product-slider-item .elementor-widget-theme-post-featured-image a {
  width: 100%;
}

.gs-product-slider-item {
  filter: drop-shadow(0px 4px 5px rgba(0, 0, 0, 0.13));
}

.gs-animated-numbers .gs-full-width-text {
  text-align: center;
  padding-top: 0;
  line-height: normal;
}

.gs-animated-numbers .elementor-counter-title {
  text-align: center;
}

.gs-product-slider .offset-right {
  margin-right: 0;
}

.gs-product-slider .elementor-swiper-button.elementor-swiper-button-prev,
.gs-product-slider .elementor-swiper-button.elementor-swiper-button-next {
	background-color: transparent !important;
}

.gs-product-slider a.added_to_cart.wc-forward {
  background: var(--e-global-color-1228495);
  display: block;
  padding-bottom: 10px;
  color: #111;
  padding-top: 30px;
  margin-top: -20px;
}

.gs-product-slider-item .gs-product-quantity-selector-container {
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 10px;
	padding-top: 0;
}

.gs-social-media-icon .elementor-icon-wrapper {
  display: flex;
}

@media all and (min-width: 1025px) and (max-width: 1600px) {
  .gs-product-slider-item .elementor-button-wrapper a {
    padding: 20px !important;
    font-size: 13px;
  }
}

@media all and (min-width: 1025px) and (max-width: 1400px) {
  .gs-product-slider > .elementor-widget-container {
    padding-left: 40px !important;
  }

  .gs-product-slider-item h4.product_title {
    font-size: 20px !important;
  }
}

@media all and (min-width: 1025px) and (max-width: 1250px) {
  .gs-animated-numbers .elementor-counter .elementor-counter-number-wrapper {
    font-size: 30px !important;
  }

  .gs-animated-numbers .elementor-counter .elementor-counter-title {
    font-size: 15px;
  }
}

/* Checkout */

.woocommerce-checkout .flatpickr-day.flatpickr-disabled,
.woocommerce-checkout .flatpickr-day.nextMonthDay.flatpickr-disabled {
  background: #ffcccc;
  color: #fff;
}

.woocommerce-checkout .flatpickr-day,
.woocommerce-checkout .flatpickr-day.nextMonthDay {
  background: #91dbaf;
  color: #fff;
}

.woocommerce-checkout .flatpickr-day.selected,
.woocommerce-checkout .flatpickr-day.nextMonthDay.selected,
.woocommerce-checkout .flatpickr-day:hover {
  background: #5cb27f;
  color: #fff;
  border-width: 1px;
  border-color: #111;
}

.woocommerce-checkout .flatpickr-day.today {
  border-color: #02471e;
  border-width: 1.5px;
}

.gs-pickup-calendar-help-container,
.gs-pickup-calendar-help {
  display: flex;
}

p.gs-active-pickup-spot-text {
  margin-bottom: 0;
}

.gs-pickup-calendar-help-container {
  gap: 10px;
  padding: 5px 0;
}

.gs-pickup-calendar-help {
  font-size: 12px;
  align-items: center;
  gap: 5px;
}

.gs-pickup-calendar-color {
  width: 10px;
  height: 10px;
  background: #000;
  border-radius: 100%;
}

#gs-pickup-calendar-green {
  background: #91dbaf;
}

#gs-pickup-calendar-red {
  background: #ffcccc;
}

#gs-pickup-calendar-black {
  background: #02471e;
  border: 2px solid #5cb27f;
}

.woocommerce-checkout #billing_country_field,
.woocommerce-checkout .address-field {
  display: none !important;
}

@media all and (max-width: 768px) {
	.gs-pickup-calendar-help-container {
		padding: 10px 20px;
    	flex-direction: column;
	}
}

/* Product page */

.woocommerce-product-rating {
  display: flex;
  flex-direction: column;
  align-items: flex-start !important;
}

a.woocommerce-review-link {
  color: rgba(0, 0, 0, 0.27);
  font-size: 14px;
}

.gs-stock-info {
  display: flex;
  gap: 10px;
  align-items: center;
  font-weight: 600;
  font-size: 16px;
}

.gs-stock-circle {
  width: 10px;
  height: 10px;
  border-radius: 100%;
}

#gs-stock-available {
  background: #4fa036;
}

#gs-stock-unavailable {
  background: #df1d1d;
}

.gs-product-stock-pickup .gs-stock-info::after {
  position: absolute;
  background: rgba(0, 0, 0, 0.13);
  right: 0;
  width: 1px;
  height: 40px;
  content: "";
}

.single-product .woocommerce-message,
.single-product .woocommerce-info,
.single-product .woocommerce-error {
  max-width: var(--container-max-width, 1270px);
  margin: 0 auto;
}

.single-product .woocommerce-variation-price {
	display: none;
}

@media all and (max-width: 768px) {
  .gs-product-stock-pickup .gs-stock-info::after {
    display: none;
  }
}

.single-product .elementor-widget-woocommerce-product-content h1,
.single-product .elementor-widget-woocommerce-product-content h2,
.single-product .elementor-widget-woocommerce-product-content h3,
.single-product .elementor-widget-woocommerce-product-content h4,
.single-product .elementor-widget-woocommerce-product-content h5,
.single-product .elementor-widget-woocommerce-product-content h6 {
  font-weight: 700;
}

.single-product .elementor-widget-woocommerce-product-content h1,
.single-product .elementor-widget-woocommerce-product-content h2 {
  font-size: 27px;
}

.single-product .elementor-widget-woocommerce-product-content h3 {
  font-size: 24px;
}

.single-product .elementor-widget-woocommerce-product-content h4 {
  font-size: 20px;
}

.single-product .elementor-widget-woocommerce-product-content h5 {
  font-size: 16px;
}

.single-product .elementor-widget-woocommerce-product-content h3 {
  font-size: 16px;
}

.single-product .elementor-widget-woocommerce-product-content p {
  margin-bottom: 35px;
}

.single-product table tbody > tr:nth-child(odd) > td,
.single-product table tbody > tr:nth-child(odd) > th,
.single-product.woocommerce table.shop_attributes tr:nth-child(even) td,
.single-product.woocommerce table.shop_attributes tr:nth-child(even) th {
  background: transparent;
  text-align: left;
  border-left: 0;
  border-right: 0;
  border-bottom: 1px solid var(--e-global-color-1228495) !important;
  padding: 16px 12px;
  vertical-align: middle;
  font-size: 16px;
  font-weight: 600;
  font-style: normal;
}

.single-product table tbody > tr:nth-child(odd) > th,
.single-product.woocommerce table.shop_attributes tr:nth-child(even) th {
  border-top: 0;
}

.single-product.woocommerce table.shop_attributes {
  border-top: 0;
}

.single-product.woocommerce .gs-product-slider a.added_to_cart.wc-forward {
  padding-top: 40px !important;
}

.single-product .flex-control-nav {
  margin-top: 20px !important;
}

.single-product .flex-control-nav li:first-child {
  border-radius: 16px 0 0 16px;
  overflow: hidden;
}

.single-product .flex-control-nav li:last-child {
  border-radius: 0 16px 16px 0;
  overflow: hidden;
}

#gs-pickup-locations-table td,
#gs-pickup-locations-table th {
  text-align: left;
  border-left: 0;
  border-right: 0;
  border-bottom: 1px solid var(--e-global-color-1228495) !important;
  font-size: 16px;
}

#gs-pickup-locations-table th {
  font-weight: 600;
}

#gs-pickup-locations-table td {
  border-top: 0;
  font-weight: 400;
}

#gs-pickup-locations-table tr:hover > td,
#gs-pickup-locations-table tr:hover > th {
  background-color: inherit;
}

#gs-product-promo-link {
  display: none;
}

/* Promosivu */

.gs-promo-product .woocommerce-product-details__short-description p {
  margin-bottom: 20px;
}

.gs-promo-product .price,
.gs-promo-product .woocommerce-Price-amount {
  display: flex;
}

.gs-promo-product ins {
  text-decoration: none;
}

.gs-promo-product .woocommerce-Price-amount {
  color: var(--e-global-color-text);
  font-weight: 600;
}

.gs-promo-product .price del {
  opacity: 1 !important;
  display: flex !important;
}

.gs-promo-product .price del::before {
  content: "norm.\00a0";
}

.gs-promo-product ul {
  list-style-type: none;
  padding-left:0px!important;}

.gs-promo-product li {
  border-bottom: 1px solid #e4e4e4;
  padding:10px;
}

/* Cart */

.woocommerce-cart .gs-cart .product-thumbnail img {
  width: 110px;
  border-radius: 11px;
}

.woocommerce-cart .gs-cart .product-thumbnail {
  width: 110px;
}

.woocommerce-cart .gs-cart td,
.woocommerce-cart .gs-cart th {
  border: 0;
  border-block-start: 0;
}

.woocommerce-cart .gs-cart tr {
  border-block-start: 0;
  border-top: rgba(66, 41, 28, 0.25) !important;
}

.gs-cart .woocommerce table.shop_table {
  border: none;
}

.gs-cart table > tr {
  border-bottom: 1px solid rgba(66, 41, 28, 0.25) !important;
}

.gs-cart table caption + thead tr:first-child td,
.gs-cart table caption + thead tr:first-child th,
.gs-cart table colgroup + thead tr:first-child td,
.gs-cart table colgroup + thead tr:first-child th,
.gs-cart table thead:first-child tr:first-child td,
.gs-cart table thead:first-child tr:first-child th {
  border: 0 !important;
}

.woocommerce-cart .gs-cart th {
  text-transform: uppercase;
  color: #42291c;
  font-weight: 800 !important;
  border-bottom: 1px solid rgba(66, 41, 28, 0.25) !important;
}

.woocommerce-cart .gs-cart .woocommerce-cart-form__cart-item td {
  background-color: inherit !important;
}

.woocommerce-cart .gs-cart .woocommerce-cart-form__cart-item {
  border-radius: 16px;
}

.woocommerce-cart table.woocommerce-cart tbody > tr:nth-child(odd) > td,
.woocommerce-cart table.woocommerce-cart tbody > tr:nth-child(odd) > th {
  background-color: #f6f5f5 !important;
}

table tbody tr:hover > td,
table tbody tr:hover > th {
  background-color: #f6f5f5 !important;
}

.woocommerce-cart table {
  border-collapse: separate;
  border-spacing: 0 10px;
}

.woocommerce table.shop_table td {
  border-top: 0;
}

.woocommerce-cart .gs-cart tr:last-child td {
  background-color: transparent !important;
  padding: 30px 0;
}

.woocommerce-cart .gs-cart .cross-sells h2 {
  font-size: 30px;
  padding-bottom: 20px;
}

.woocommerce-cart .gs-cart .cross-sells .product {
  border-radius: 40px;
  background: #fff;
  overflow: hidden;
  filter: drop-shadow(0px 4px 17.3px rgba(0, 0, 0, 0.13));
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.woocommerce-cart .cross-sells .woocommerce-loop-product__title {
  text-align: center;
  font-size: 18px !important;
  padding-left: 20px;
  padding-right: 20px;
}

.woocommerce-cart .cross-sells .product .add_to_cart_button {
  width: 100%;
  text-align: center;
  background: var(--e-global-color-accent);
  color: var(--e-globa-color-text);
  padding: 20px 30px;
  font-size: 14px;
}

.woocommerce-cart .cross-sells .products {
  display: flex;
  flex-wrap: wrap;
}

.woocommerce-cart .cross-sells .products .gs-product-quantity-selector-container {
  padding-left: 20px;
  padding-right: 20px;
}

.woocommerce-cart .gs-cart .cross-sells a {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
}

.gs-cart .cart_totals h2 {
  font-size: 30px;
  color: #42291c;
  padding-bottom: 20px;
}

.gs-cart #coupon_code {
  width: 308px;
  border-radius: 9px;
  background: #f6f4f4;
  padding: 15px 20px;
  font-size: 14px;
  font-weight: 500;
  color: rgba(66, 41, 28);
  border: 0;
}

.gs-cart #coupon_code::placeholder {
  opacity: 0.5;
}

.gs-cart .cart-subtotal {
  display: none !important;
}

.gs-cart .woocommerce-shipping-totals {
  box-shadow: 0px 4px 38.7px 0px rgba(0, 0, 0, 0.08);
  border-radius: 30px 30px 0 0;
  border-top: 0;
}

.gs-cart .woocommerce-shipping-totals td,
.gs-cart .woocommerce-shipping-totals th {
  padding-top: 35px !important;
  padding-bottom: 35px !important;
  border-top: 0 !important;
}

.gs-cart .woocommerce-shipping-totals th {
  padding-left: 35px !important;
  text-transform: none;
  border-bottom: 0 !important;
}

.gs-cart .woocommerce-shipping-totals td {
  padding-right: 35px !important;
}

.gs-cart .actions .button {
  height: 51px;
  border-radius: 9px;
  background: rgba(255, 221, 0, 0.3);
  color: rgba(66, 41, 28, 0.55);
}

.gs-cart .actions .button:hover {
  color: rgba(66, 41, 28, 1);
  background: rgba(255, 221, 0, 1);
}

.gs-cart .order-total {
  border-top: 0;
}

.woocommerce-cart .gs-cart .order-total th,
.woocommerce-cart .gs-cart .order-total td,
.woocommerce-cart .gs-cart .order-total td:last-child {
  padding-top: 20px;
  padding-bottom: 20px;
  border-top: 0 !important;
  border-bottom: 0 !important;
  background-color: #f6f4f4 !important;
  overflow: hidden;
}

.woocommerce-cart .gs-cart .order-total th {
  border-radius: 0 0 0 30px;
}

.woocommerce-cart .gs-cart .order-total td,
.woocommerce-cart .gs-cart .order-total td:last-child {
  border-radius: 0 0 30px 0;
}

.gs-cart .order-total td {
  padding-right: 35px !important;
}

.gs-cart .order-total th {
  padding-left: 35px !important;
  text-transform: none;
}

.gs-cart .cart_totals table {
  border-spacing: 0;
}

.gs-cart table tbody > tr:nth-child(odd) > td,
.gs-cart table tbody > tr:nth-child(odd) > th {
  background-color: inherit;
}

.woocommerce-cart .gs-cart .cart_totals th {
  font-weight: 700 !important;
}

.gs-cart .checkout-button {
  background: #23b75f !important;
  border-radius: 16px !important;
}

.gs-cart .woocommerce-shipping-destination {
  display: none;
}

.gs-cart table tbody tr:hover > td,
.gs-cart table tbody tr:hover > th {
  background-color: inherit !important;
}

.woocommerce ul#shipping_method li {
  display: flex;
  align-items: center !important;
  gap: 5px;
  margin: 0 0 1em;
}

.woocommerce .cart-collaterals .cross-sells {
    text-align: center;
}

@media all and (max-width: 768px) {
  .gs-cart #coupon_code {
    width: 100%;
  }

  .woocommerce-page table.cart td.actions .coupon .button {
    width: 100%;
  }

  .woocommerce-cart .gs-cart .cross-sells h2,
  .gs-cart .cart_totals h2 {
    font-size: 24px;
  }

  .gs-cart .order-total td {
    padding-left: 10px !important;
  }

  .woocommerce .gs-cart table.shop_table_responsive tr td::before,
  .woocommerce-page .gs-cart table.shop_table_responsive tr td::before {
    text-align: left;
    width: 100% !important;
    display: block;
    padding-bottom: 20px;
    padding-left: 0;
  }

  .woocommerce-page
    .gs-cart
    table.shop_table_responsive
    tr
    .product-remove::before {
    display: none;
  }

  .woocommerce-page .gs-cart table.shop_table_responsive tr .product-remove {
    margin-left: 0;
  }

  .gs-cart .woocommerce ul#shipping_method li {
    align-items: flex-start;
    width: 100%;
    padding-left: 0;
    width: 100% !important;
  }

  .gs-cart .woocommerce ul#shipping_method li label {
    text-align: left;
    line-height: 1.8em;
  }

  .gs-cart .woocommerce-shipping-totals {
    overflow: hidden;
  }

  .gs-cart .woocommerce-shipping-totals {
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.08);
    overflow: hidden;
  }

  .woocommerce-cart .gs-cart .order-total td,
  .woocommerce-cart .gs-cart .order-total td:last-child {
    border-radius: 0 0 30px 30px;
  }

  .gs-cart .woocommerce-shipping-totals td,
  .gs-cart .woocommerce-shipping-totals th {
    padding-bottom: 20px !important;
  }

  .gs-cart .cross-sells img {
    max-height: 300px;
    object-fit: cover;
  }

  .gs-cart .actions::before {
    display: none !important;
  }
}

@media all and (min-width: 769px) and (max-width: 1024px) {
  .gs-cart .cart_totals tbody {
    display: block;
  }

  .gs-cart .woocommerce-shipping-totals {
    width: 100%;
    display: block;
  }

  .gs-cart .woocommerce-shipping-totals th,
  .gs-cart .woocommerce-shipping-totals td {
    display: block;
    width: 100% !important;
  }

  .gs-cart .woocommerce-shipping-totals td {
    padding: 0 20px 35px 35px !important;
  }

  .gs-cart .order-total {
    display: block;
  }

  .gs-cart .order-total th,
  .gs-cart .order-total td {
    display: block;
    width: 100% !important;
  }

  .gs-cart .order-total th {
    border-radius: 0 !important;
  }

  .gs-cart .order-total td {
    padding-left: 35px !important;
    border-radius: 0 0 30px 30px !important;
    padding-top: 0 !important;
  }

  .cross-sells .product {
    margin-right: 20px !important;
  }
}

@media all and (max-width: 1024px) {
  .woocommerce ul.products[class*="columns-"] li.product,
  .woocommerce-page ul.products[class*="columns-"] li.product {
    width: 100%;
  }

  .woocommerce-cart .cross-sells .products {
    flex-direction: column;
  }
}

/* Kassa */

.gs-checkout label {
  color: #42291c;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.3em;
}

.gs-checkout input {
  border-radius: 9px;
  background: #f6f4f4;
  border: 0;
  font-size: 14px;
  padding: 15px 20px;
}

.gs-checkout .woocommerce-billing-fields > h3 {
  font-size: 18px;
}

.woocommerce form .gs-checkout .form-row-first,
.woocommerce form .gs-checkout .form-row-last,
.woocommerce-page .gs-checkout form .form-row-first,
.woocommerce-page .gs-checkout form .form-row-last {
  width: 49%;
}

.woocommerce-page .gs-checkout form.checkout_coupon .form-row-first,
.woocommerce-page .gs-checkout form.checkout_coupon .form-row-last {
	width: 100%;
}

.woocommerce-page .gs-checkout .showcoupon {
	margin-left: 0;
}

#gs_pickup_day_date,
#gs_pickup_day_date_field label {
  display: none;
}

.gs-active-pickup-spot-text {
  padding-top: 20px;
  padding-bottom: 7px;
  font-size: 18px;
  color: #42291c;
  font-weight: 600;
}

.gs-checkout .flatpickr-calendar.inline {
  background: #f6f4f4;
  padding: 0 20px 10px;
  width: 347.875px;
}

@media all and (max-width: 390px) {
	.gs-checkout .flatpickr-calendar.inline {
		padding: 0 5px 10px;
    	width: 317.875px;
	}
}

.gs-checkout .flatpickr-calendar .dayContainer {
  gap: 3px;
}

.gs-checkout .flatpickr-monthDropdown-months {
  font-weight: 600 !important;
  text-transform: capitalize;
}

.gs-checkout .flatpickr-months .flatpickr-month {
	min-height: 45px;
}

.gs-checkout .flatpickr-current-month {
	font-size: 100%;
	height: 40px;
}

.gs-checkout .flatpickr-day.selected:hover {
	background-color: #5cb27f;
}

.gs-checkout .flatpickr-weekday {
  text-transform: capitalize;
  font-weight: 500;
  color: var(--e-global-color-text);
}

.gs-checkout #order_review_heading {
  padding-top: 30px;
  font-size: 18px;
  color: #42291c;
}

.gs-checkout-cart .e-shop-table {
  padding: 0 !important;
}

.gs-checkout-cart .e-shop-table thead {
  display: none;
}

.gs-checkout-cart .product-remove {
  display: none;
}

.gs-checkout-cart .product-subtotal {
  display: none;
}

.gs-checkout-cart .product-thumbnail,
.gs-checkout-cart .product-thumbnail img {
  width: 130px !important;
}

.gs-checkout-cart .product-thumbnail img {
  border-radius: 11px;
}

.gs-checkout-cart .product-thumbnail {
  padding: 0 !important;
}

.gs-checkout-cart .product-name a {
  font-size: 16px;
  text-decoration: none;
  color: var(--e-global-color-primary) !important;
  font-weight: 700;
  font-family: "Montserrat", sans-serif;
}

.gs-checkout-cart .product-name {
  padding-left: 30px !important;
}

.gs-checkout-cart .product-price span,
.gs-checkout-cart .product-quantity input {
  font-family: "Montserrat", sans-serif;
}

.gs-checkout-cart .product-price {
  width: 100px;
}

.gs-checkout-cart .product-price span {
  font-weight: 500;
}

.gs-checkout-cart .shop_table {
  border-spacing: 0 15px;
  border-collapse: separate;
}

.gs-checkout-cart .woocommerce-cart-form__cart-item td,
.gs-checkout-cart .woocommerce-cart-form__cart-item:hover td {
  background-color: #42291c0d !important;
}

.gs-checkout-cart .qty {
  box-shadow: 0px 4px 5px 0px rgba(0, 0, 0, 0.18);
  text-align: center !important;
  border-radius: 9px !important;
}

.gs-checkout-cart .product-quantity {
  border-radius: 0 16px 16px 0;
}

.gs-checkout-cart .e-cart-totals {
  display: none;
}

.gs-checkout-cart td {
  border-top: 0 !important;
}

.gs-checkout .woocommerce-shipping-totals td,
.gs-checkout .woocommerce-shipping-totals th {
  padding-top: 20px !important;
}

.woocommerce-checkout .col-2 {
  display: none;
}

.woocommerce-checkout .col-1 {
  width: 100% !important;
}

.woocommerce table.shop_table th {
  font-weight: 600;
  color: var(--e-global-color-text);
}

.woocommerce table td,
.woocommerce table th,
.woocommerce table.shop_table,
.woocommerce table caption + thead tr:first-child td,
.woocommerce table caption + thead tr:first-child th,
.woocommerce table colgroup + thead tr:first-child td,
.woocommerce table colgroup + thead tr:first-child th,
.woocommerce table thead:first-child tr:first-child td,
.woocommerce table thead:first-child tr:first-child th,
.woocommerce table.shop_table tbody th,
.woocommerce table.shop_table tfoot td,
.woocommerce table.shop_table tfoot th {
  border: 0;
}

.woocommerce table tbody > tr:nth-child(odd) > td,
.woocommerce table tbody > tr:nth-child(odd) > th {
  background-color: inherit;
}

.woocommerce table tbody tr:hover > td,
.woocommerce table tbody tr:hover > th {
  background-color: inherit !important;
}

.woocommerce table td,
.woocommerce table th {
  border-bottom: 1px solid var(--e-global-color-1228495) !important;
}

.woocommerce #order_review .woocommerce-Price-amount bdi {
  font-weight: 800;
}

#payment.woocommerce-checkout-payment button {
  background-color: #23b75f;
  width: 100%;
  border-radius: 16px;
  font-size: 20px;
  padding: 20px 35px;
  font-weight: 700;
}

.gs-product-row .elementor-widget-theme-post-featured-image a {
	height: 100%;
}

.gs-product-row .product_title a {
	text-decoration: none;
    font-weight: inherit;
}

@media all and (max-width: 1200px) {
  .gs-checkout-featured-products .gs-product-row-content {
    flex-direction: column;
  }

  .gs-checkout-featured-products
    .gs-product-row-content
    .elementor-button-wrapper {
    display: flex;
    margin: 20px 0;
    flex-wrap: wrap;
  }

  .gs-checkout-featured-products .elementor-widget-theme-post-featured-image {
    width: 35% !important;
  }

  .gs-checkout-featured-products .gs-product-row-content {
    width: 58% !important;
  }
}

@media all and (max-width: 768px) {
	.gs-checkout #shipping_method label {
		font-size: 13px;
	}
	
	.gs-checkout td[data-title="Noutopiste"] {
		width: 60%;
	}
	
	.gs-checkout button#place_order {
    	margin-top: 30px;
	}
}

/*
.woocommerce .cart-collaterals .cross-sells ul.products li {
	width: 47%;
}

.woocommerce-page .cart-collaterals .cross-sells ul.products li {
	width: 47%;
}
*/

/* Kiitos-sivu */

.gs-share-wa-btn .elementor-share-btn {
  padding: 15px;
}

.woocommerce-order p {
  text-align: center;
  font-size: 21px;
  color: var(--e-global-color-text) !important;
}

.gs-thank-you .woocommerce-order-overview {
  justify-content: center;
}

.gs-thank-you .woocommerce-order-overview__payment-method {
  margin-right: 0 !important;
  padding-right: 0 !important;
}

.elementor-widget-woocommerce-purchase-summary .woocommerce .shop_table {
  border: 0;
}

.elementor-widget-woocommerce-purchase-summary
  .woocommerce
  .shop_table
  tfoot
  tr:last-child
  td,
.elementor-widget-woocommerce-purchase-summary
  .woocommerce
  .shop_table
  tfoot
  tr:last-child
  th {
  padding-top: 15px;
  padding-bottom: 15px;
}

p.woocommerce-customer-details--phone,
p.woocommerce-customer-details--email {
  text-align: left;
  font-size: inherit;
  color: inherit;
  margin-bottom: inherit;
}

.elementor-widget-woocommerce-purchase-summary .woocommerce address {
  color: var(--e-global-color-text);
  width: auto;
  min-width: 250px;
  display: inline-block;
}

.woocommerce-customer-details {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.woocommerce-order-details {
  width: 100%;
}

.elementor-widget-woocommerce-purchase-summary .woocommerce p {
  margin-bottom: inherit;
}

p.woocommerce-customer-details--phone {
  margin-top: 10px;
}

.woocommerce-column__title {
  width: 100%;
}

.woocommerce-order-received
  .elementor-widget-woocommerce-purchase-summary
  .woocommerce
  .shop_table {
  padding: 0;
  border: 0;
}

.woocommerce-order-received .woocommerce-table td,
.woocommerce-order-received .woocommerce-table th {
  padding-top: 15px !important;
  padding-bottom: 15px !important;
}

.gs-share-wa .ff-btn:before {
    content: "\f232";
    font-family: "Font Awesome 5 Brands";
    font-weight: 400;
    margin-right: 10px;
}

@media all and (max-width: 768px) {
	.gs-share-wa .ff-btn {
		width: 100%;
		word-break: break-word;
		white-space: normal !important;
		font-size: 16px !important;
	}
	    
	.gs-share-wa .ff-btn:before {
		font-size: 24px;
	}
}

/* Products archive (& shop page */

.gs-product-archive-product {
  display: flex;
  flex-direction: column;
  margin-bottom: 0 !important;
}

.gs-product-quantity-selector-container {
  display: flex;
  width: 100%;
  position: relative;
  padding-top: 10px;
  justify-content: space-between;
}

.gs-product-quantity-btn {
  background: #faf0dc;
  font-size: 30px;
  padding: 10px;
  border-radius: 4px;
  line-height: 25px;
  cursor: pointer;
  width: 50px;
  text-align: center;
}

.gs-product-quantity-selector-container .quantity {
  display: none;
}

.post-9893.swiper-slide,
.cart-collaterals .e-loop-item.post-9893,
.gs-checkout-featured-products .post-9893,
.products .post-9893 {
  display: none !important;
}

.gs-product-quantity-custom-number {
  display: flex;
  align-items: center;
  font-weight: 600;
  font-size: 16px;
}

.gs-product-quantity-btn-disabled {
  background: #fff8f8;
  color: #e1e0e0;
  cursor: not-allowed;
}

@media all and (max-width: 600px) {
  .gs-products .products {
    grid-template-columns: repeat(1, 1fr) !important;
  }
}

@media all and (max-width: 768px) {
	.woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering {
		float: left;
		width: 100%;
	}
}

/* Single post */

.single-post .wp-block-image {
  margin-bottom: 35px;
}

/* Archives */

.gs-archive-posts .elementor-post__meta-data {
  border-color: var(--e-global-color-primary) !important;
}

/* Yhteystiedot */

.gs-person a {
	text-decoration: none;
}

/* Social Ninja Instagram Feed */

.wpsr-ig-header .wpsr-ig-header-inner .wpsr-ig-header-logo a img {
    width: 58px;
    height: auto;
}

.wpsr-ig-post-media {
	animation: none;
    -webkit-animation: none;
}

.wpsr-column-gap-narrow [class*=wpsr-col]>div,
.wpsr-ig-header .wpsr-ig-header-inner{
	border-radius: 20px;
}

.wpsr-ig-feed-wrapper-inner {
    padding-top: 40px;
}

.wpsr-ig-feed-template-9901 .wpsr_more,
.wpsr-ig-feed-template-9901 .wpsr_more:hover {
	background-color: transparent;
}

/* Social ninja */
.elementor-widget-wp-social-ninja-instagram-widget{
	display:flex;
	height:100%;
	width:100%;
}

.elementor-widget-wp-social-ninja-instagram-widget .elementor-widget-container{
	width:100%;
}


/* Editor */
[data-editable-elementor-document] .elementor-document-handle {
	z-index: 9;
}